#include<bits/stdc++.h>
using namespace std;
vector<string>v(1000);
bool run(string& a){
    long long l=0,f=0,n=a.size();
    sort(a.begin(),a.end());
    for (int i=0;i<n;i++){
        if (i==n-1 || a[i]!=a[i+1]){
            l++;
            if (l%2!=0){
                f++;
            }
            if (f>1) return false;
        }
        else{
            l++;
        }
    }
    return true;
}
int main (){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    long long n;
    cin >> n;
    string a;
    for (long long i=0;i<n;i++){
        cin >> v[i];
    }
    for (long long i=0;i<n;i++){
        cout << run(v[i]);
    }
    return 0;
}
